echo off

SET CONSOLE_PATH=..\cidgen

if exist %ProgramFiles(x86)% (
	SET C2PROG_PATH=%ProgramFiles(x86)%\C2Prog
) else (
	SET C2PROG_PATH=%ProgramFiles%\C2Prog
)

SET CID_EXE="%CONSOLE_PATH%\CIDGen.exe"
SET C2PROG_EXE="%C2PROG_PATH%\C2Prog.exe"

goto step_%1

:step_0
    %CID_EXE% ..\cid.h
    goto end_step

:step_1
	if exist %C2PROG_EXE% (
    	%2/bin/hex2000 -romwidth 16 -memwidth 16 -i -o %3.hex %3.out
    	if  errorlevel  1  goto  error
    	%C2PROG_EXE% -hex=%3.hex -ehx=%3.ehx -target=F28M35X-C28-512K_UART-Bridge
   		if  errorlevel  1  goto  error
	)
:end_step

if  errorlevel  1  goto  error
exit 0

:error
exit 1